[PULL,2/2] travis: add Trusty with clang stable build

Message ID 20170112131658.19837-3-alex.bennee@linaro.org
State New
Headers show

Commit Message

Alex Bennée Jan. 12, 2017, 1:16 p.m.
Although we've reduced the matrix to avoid repeating clang builds we can
still add an additional clang build to use the latest stable version of
clang which will typically be available on current distros.

Signed-off-by: Alex Bennée <alex.bennee@linaro.org>

---
 .travis.yml | 20 ++++++++++++++++++++
 1 file changed, 20 insertions(+)

-- 
2.11.0

Patch

diff --git a/.travis.yml b/.travis.yml
index 0706b9a1df..d83e2d493b 100644
--- a/.travis.yml
+++ b/.travis.yml
@@ -103,6 +103,26 @@  matrix:
         - sudo apt-get build-dep -qq qemu
         - wget -O - http://people.linaro.org/~alex.bennee/qemu-submodule-git-seed.tar.xz | tar -xvJ
         - git submodule update --init --recursive
+    # Trusty build with latest stable clang
+    - env: CONFIG=""
+      sudo: required
+      addons:
+      dist: trusty
+      language: generic
+      compiler: none
+      env:
+        - COMPILER_NAME=clang CXX=clang++-3.9 CC=clang-3.9
+        - CONFIG="--cc=clang-3.9 --cxx=clang++-3.9"
+      before_install:
+        - wget -nv -O - http://llvm.org/apt/llvm-snapshot.gpg.key | sudo apt-key add -
+        - sudo apt-add-repository -y 'deb http://llvm.org/apt/trusty llvm-toolchain-trusty-3.9 main'
+        - sudo apt-get update -qq
+        - sudo apt-get install -qq -y clang-3.9
+        - sudo apt-get build-dep -qq qemu
+        - wget -O - http://people.linaro.org/~alex.bennee/qemu-submodule-git-seed.tar.xz | tar -xvJ
+        - git submodule update --init --recursive
+      before_script:
+        - ./configure ${CONFIG} || cat config.log
     # Using newer GCC with sanitizers
     - addons:
         apt: